Delete a beneficiary
curl --request DELETE \
--url https://{environment}.ebury.io/beneficiaries/{beneficiary_id} \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <api-key>'import requests
url = "https://{environment}.ebury.io/beneficiaries/{beneficiary_id}"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'x-api-key': '<api-key>'}
};
fetch('https://{environment}.ebury.io/beneficiaries/{beneficiary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Managing Beneficiaries
Delete a beneficiary
DELETE
/
beneficiaries
/
{beneficiary_id}
Delete a beneficiary
Delete a single beneficiary by beneficiary ID
Does not delete or cancel existing payments initiated towards the beneficiary.
Authorizations
An API Key.
Path Parameters
The identifier of a beneficiary.
Query Parameters
The identifier of a client.
Response
Beneficiary deleted.